package com.ag.entity.fee.face;


import com.ag.entity.account.vo.BizVO;

/**
 * Created by Administrator on 2017/7/11 0011.
 */
public interface IFeeBase {

    /**
     * 调用计费并直接保存到 费用明细，无返回值
     */
    default void call(String reqStr){}

    /**
     * 返回费用明细集合
     * return List<FeeDetail>
     */
    default String callback(String reqStr){
        return null;
    }

    /**
     * 返回数据源+费用明细集合
     * return List<SourceAndFeeDetail>
     */
    default String callbackSource(String reqStr){
        return null;
    }
}
